Skip to main content
`Ctrl`+`K`

# TaoGetVariableBounds

Gets the upper and lower bounds vectors set with `TaoSetVariableBounds()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetVariableBounds(Tao tao, Vec *XL, Vec *XU)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- XL - vector of lower bounds

- XU - vector of upper bounds

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoSetHessian()`, `TaoSetObjectiveAndGradient()`, `TaoSetVariableBounds()`

## Level

beginner

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages